# 概要

平台所有镜像的系统版本为Ubuntu，多数为Ubuntu 18.04、20.04 ，少数Ubuntu 22.04

| *框架*       | *框架版本* | *Python版本* | *Cuda版本* |
| ------------ | ---------- | ------------ | ---------- |
| PyTorch      | 1.7.0      | 3.8          | 11.1       |
| PyTorch      | 1.8.1      | 3.8          | 11.1       |
| PyTorch      | 1.9.0      | 3.8          | 11.1       |
| PyTorch      | 1.10.0     | 3.8          | 11.3       |
| PyTorch      | 1.11.0     | 3.8          | 11.3       |
| PyTorch      | 2.0.0      | 3.8          | 11.8       |
| Tensorflow   | 2.5.0      | 3.8          | 11.2       |
| Tensorflow   | 2.9.0      | 3.8          | 11.2       |
| Anaconda     | 2022.10    | 3.8          | 10.2       |
| Anaconda     | 2022.10    | 3.8          | 11.1       |
| Anaconda     | 2022.10    | 3.8          | 11.2       |
| Anaconda     | 2022.10    | 3.8          | 11.3       |
| Anaconda     | 2022.10    | 3.8          | 11.4       |
| Anaconda     | 2022.10    | 3.8          | 11.3       |
| Anaconda     | 2022.10    | 3.8          | 11.6       |
| Anaconda     | 2022.10    | 3.8          | 11.8       |
| Anaconda     | 2022.10    | 3.8          | 11.8       |
| Jax          | 0.3.10     | 3.8          | 11.1       |
| Paddlepaddle | 2.2.0      | 3.8          | 11.2       |
| Paddlepaddle | 2.4.2      | 3.8          | 11.2       |
| Jittor       | 1.3.1      | 3.8          | 11.3       |
| Gromacs      | 2022.2     | 3.8          | 11.4       |

安装其他版本的Python： 

安装其他版本的CUDA： 

安装PyTorch：

安装TensorFlow： 

**推荐的使用姿势**：

1. 首先平台镜像中有没有您需要的Torch、TensorFlow等框架的相应版本，如果有首选平台内置的镜像

2. 如果平台中没有合适的Torch、TensorFlow等框架版本，那么查询自己的框架需要什么CUDA版本，比如PyTorch=1.9.0需要CUDA=11.1，那么可以选择Miniconda/CUDA=11.1的平台镜像，然后在镜像内安装自己需要的框架，免去安装cudatoolkit的麻烦。（平台内置的CUDA均带.h头文件，如有二次编译代码的需求更方便）

3. 如果以上条件都不满足，则可随便挑选一个Miniconda镜像，在开机后自行安装相关框架、CUDA、甚至其他版本的Python。